Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep.function
Class Divide

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.nfunk.jep.function.Divide

All Implemented Interfaces:
  PostfixMathCommandI

Direct Known Subclasses:
  ElementDivide, MDivide

    public class Divide

extends PostfixMathCommand

Field Summary

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Divide()`

Method Summary
`Complex` | `div(Complex c1, Complex c2)`
`Complex` | `div(Complex c, java.lang.Number d)`
`java.util.Vector` | `div(Complex c, java.util.Vector v)`
`Complex` | `div(java.lang.Number d, Complex c)`
`java.lang.Double` | `div(java.lang.Number d1, java.lang.Number d2)`
`java.util.Vector` | `div(java.lang.Number d, java.util.Vector v)`
`java.lang.Object` | `div(java.lang.Object param1, java.lang.Object param2)`
`java.util.Vector` | `div(java.util.Vector v, Complex c)`
`java.util.Vector` | `div(java.util.Vector v, java.lang.Number d)`
`void` | `run(java.util.Stack inStack)` Throws an exception because this method should never be called under normal circumstances.

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Divide

    public Divide()

Method Detail

### run

    public void run(java.util.Stack inStack)
             throws ParseException

  Description copied from class: `PostfixMathCommand`
  Throws an exception because this method should never be called under normal circumstances. Each function should use it's own run() method for evaluating the function. This includes popping off the parameters from the stack, and pushing the result back on the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Overrides:
    `run` in class `PostfixMathCommand`
  Throws:
    `ParseException`

### div

    public java.lang.Object div(java.lang.Object param1,
                                java.lang.Object param2)
                         throws ParseException

  Throws:
    `ParseException`

### div

    public java.lang.Double div(java.lang.Number d1,
                                java.lang.Number d2)

### div

    public Complex div(Complex c1,
                       Complex c2)

### div

    public Complex div(java.lang.Number d,
                       Complex c)

### div

    public Complex div(Complex c,
                       java.lang.Number d)

### div

    public java.util.Vector div(java.util.Vector v,
                                java.lang.Number d)

### div

    public java.util.Vector div(java.lang.Number d,
                                java.util.Vector v)

### div

    public java.util.Vector div(java.util.Vector v,
                                Complex c)

### div

    public java.util.Vector div(Complex c,
                                java.util.Vector v)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems